Page MenuHomePhabricator

Extensions needing to be removed from Wikimedia wikis
Open, LowPublic

Description

Every extension costs money:

  • … to keep developers around who know roughly how it works and how to fix it when it breaks, when it needs updating, when there's a security issue;
  • … to keep in mind when documenting things, as we have to add yet one more thing to the list of specialist things people may inquire about;
  • … to keep in mind when changing things, as we have to work around this, make sure we don't break it, and consider whether we'd need to alter it to compensate; and
  • … to run the code, including the (even the code checking whether to run the code is a little bit of a server and user performance cost – to put it bluntly, every page on every wiki is a little slower because we haven't removed this code yet).

After undeploying an extension,

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
OpenNone
ResolvedReedy
ResolvedGlaisher
ResolvedReedy
ResolvedGlaisher
StalledNone
ResolvedReedy
Resolvedori
ResolvedReedy
ResolvedReedy
Resolvedori
ResolvedKrenair
ResolvedKrenair
Resolvedcsteipp
ResolvedMarcoAurelio
Resolvedori
Resolvedori
Resolved bd808
Resolved yuvipanda
Resolved bd808
Resolved bd808
Resolved bd808
Resolvedori
StalledJdforrester-WMF
OpenNone
ResolvedNone
ResolvedTgr
ResolvedNiharika
DeclinedCKoerner_WMF
ResolvedMaxSem
Resolvedkaldari
InvalidNone
ResolvedMaxSem
ResolvedKeegan
ResolvedMaxSem
ResolvedKeegan
ResolvedMaxSem
ResolvedLegoktm
ResolvedJKatzWMF
ResolvedReedy
ResolvedUrbanecm
ResolvedMarostegui
ResolvedJdforrester-WMF
ResolvedJdlrobson
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
ResolvedJdforrester-WMF
ResolvedD3r1ck01
DeclinedNone
ResolvedReedy
OpenNone
Resolved VMasrour-WMF
Resolved VMasrour-WMF
ResolvedReedy
ResolvedReedy
ResolvedJdforrester-WMF
DuplicateNone
ResolvedMarostegui
ResolvedGTirloni
InvalidNone
ResolvedReedy
ResolvedReedy
OpenNone
Resolvedphuedx
ResolvedJdforrester-WMF
OpenNone
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
ResolvedMarcoAurelio
ResolvedAndrew
OpenNone
OpenJdforrester-WMF
ResolvedJoeWalsh
ResolvedJdforrester-WMF
Resolvedema
ResolvedJAllemandou
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedAndrew
OpenNone
Resolveddebt
ResolvedMaxSem
OpenNone
ResolvedNone
ResolvedMaxSem
ResolvedJdforrester-WMF
ResolvedLadsgroup
ResolvedJeroenDeDauw
ResolvedTarrow
OpenNone
OpenNone
OpenNone
OpenNone
OpenJdforrester-WMF
OpenNone

Event Timeline

Bugreporter raised the priority of this task from to Low.
Bugreporter updated the task description. (Show Details)
Bugreporter added a subscriber: Bugreporter.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2015, 6:27 AM
Bugreporter updated the task description. (Show Details)
Bugreporter set Security to None.
TTO renamed this task from Extensions need to be removed from Wikimedia wikis to Extensions needing to be removed from Wikimedia wikis.Jul 17 2015, 6:45 AM
Meno25 added a subscriber: Meno25.Jul 17 2015, 8:06 AM

Thank you for creating this tracking bug :D

Snaevar removed a subscriber: Snaevar.May 28 2016, 3:14 PM
Nemo_bis updated the task description. (Show Details)Aug 8 2016, 4:51 PM

Suggest to use #Extensions-to-remove please?

Suggest to use #Extensions-to-remove please?

No need.

Restricted Application added a subscriber: alanajjar. · View Herald TranscriptApr 26 2018, 5:20 PM
1339861mzb added a comment.EditedApr 26 2018, 5:23 PM

Because on June 30, 2018, the Education Extension will be shut down.Education_Extension_scheduled_shutdown, Wikimedia outreach. so that i think special pages related to it should be removed from preference panel (this one for example).

MarcoAurelio updated the task description. (Show Details)May 7 2018, 10:41 AM

Change 452181 had a related patch set uploaded (by Amire80; owner: Amire80):
[translatewiki@master] Move DisableAccount and RelatedSites to the Legacy group

https://gerrit.wikimedia.org/r/452181

Change 452181 merged by jenkins-bot:
[translatewiki@master] Move DisableAccount and RelatedSites to the Legacy group

https://gerrit.wikimedia.org/r/452181

Aklapper updated the task description. (Show Details)
Aklapper updated the task description. (Show Details)

Unfortunately we lost those pages that document our activities without any back-up :( that is really sad news 😭

MaxSem changed the status of subtask T187716: Sunset Wikipedia Zero from Stalled to Open.Dec 12 2018, 11:43 PM
Jdforrester-WMF changed the status of subtask T116948: Undeploy CodeReview from Open to Stalled.Apr 8 2019, 4:30 PM